Bug 772620 - Review Request: perl-Encode-IMAPUTF7 - Perl extension to deal with UTF-7 modification for IMAP
Summary: Review Request: perl-Encode-IMAPUTF7 - Perl extension to deal with UTF-7 modi...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-09 12:49 UTC by Jeroen van Meeuwen
Modified: 2016-11-11 14:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-04 13:32:02 UTC
psabata: fedora-review?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1392606 None None None Never

Internal Links: 1392606

Description Jeroen van Meeuwen 2012-01-09 12:49:53 UTC
Spec URL: http://hosted.kolabsys.com/~vanmeeuwen/perl-Encode-IMAPUTF7.spec
SRPM URL: http://hosted.kolabsys.com/~vanmeeuwen/perl-Encode-IMAPUTF7-1.05-1.fc17.src.rpm
Description:

IMAP mailbox names are encoded in a modified UTF-7 when names contains
international characters outside of the printable ASCII range. The
modified UTF-7 encoding is defined in RFC2060 (section 5.1.3).

Remark: Necessary for Cyrus IMAP test suite Cassandane

Comment 1 Petr Šabata 2012-01-10 13:45:44 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[!]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[!]: MUST Package does not own files or directories owned by other packages.
[?]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint perl-Encode-IMAPUTF7-1.05-1.fc17.src.rpm

perl-Encode-IMAPUTF7.src:17: W: unversioned-explicit-provides perl(Encode::IMAPUTF7)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint perl-Encode-IMAPUTF7-1.05-1.fc17.noarch.rpm

perl-Encode-IMAPUTF7.noarch: E: useless-provides perl(Encode::IMAPUTF7)
perl-Encode-IMAPUTF7.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-Encode-IMAPUTF7-1.05/README
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/772620/Encode-IMAPUTF7-1.05.tar.gz :
  MD5SUM this package     : 2ef9d1a438f3fa29771d24f9e587fd2a
  MD5SUM upstream package : 2ef9d1a438f3fa29771d24f9e587fd2a

[!]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define module_version 1.05

Issues:
TODO: Remove useless, generic Provides: perl(Encode::IMAPUTF7).  A versioned perl()-style Provides is generated automagically by rpm.  You could manually provide versioned IMAP-UTF-7 and imap-utf-7 aliases if that's how __PACKAGE__->Define() works.  I'm not sure, I'd rather not to.
TODO: Change License to 'GPL+ or Artistic'; I don't see BSD mentioned anywhere
TODO: Add the following BRs: perl(base), perl(Encode), perl(Encode::Encoding), perl(File::Spec), perl(Test::More)
TODO: Remove the BuildRoot tag, its deletion in %install and %clean section.  Those are no longer needed in Fedora.
TODO: The same applies to %defattr in %files.
TODO: Include 'Changes' in %doc
TODO: Change %{perl_vendorlib}/Encode/ in %files to %{perl_vendorlib}/Encode/IMAPUTF7*
TODO: Change CRLF newlines to LF only in documentation.  This applies to README and soon-to-be-included Changes.
TODO: s/contains/contain/ in %description; let upstream know about this typo.
TODO: I see no point of defining your own %module_version macro instead of using %version.  If you wish to keep it, change %define to %global.

Please, correct the above.
No approving at the moment.

Generated by fedora-review 0.1.1
External plugins:

Comment 2 Petr Šabata 2013-01-17 15:03:12 UTC
Ping, it's been over a year.  Any news?


Note You need to log in before you can comment on or make changes to this bug.